diff --git a/src/common/colorspaces.c b/src/common/colorspaces.c
index cf2f8f522c1..5c6123da973 100644
--- a/src/common/colorspaces.c
+++ b/src/common/colorspaces.c
@@ -265,9 +265,9 @@ static cmsHPROFILE _create_lcms_profile(const char *desc, const char *dmdd,
 
   if(v2) cmsSetProfileVersion(profile, 2.1);
 
-  cmsSetHeaderFlags(profile, cmsEmbeddedProfileTrue | cmsUseAnywhere);
+  cmsSetHeaderFlags(profile, cmsUseAnywhere);
 
-  cmsSetDeviceClass(profile, cmsSigColorSpaceClass);
+  cmsSetDeviceClass(profile, cmsSigDisplayClass);
 
   cmsMLUsetASCII(mlu1, "en", "US", "Public Domain");
   cmsWriteTag(profile, cmsSigCopyrightTag, mlu1);
